### Method

# FwupdPlugin Backend registered

since: 1.7.4

#### Declaration [src]

    void
    fu_backend_registered (
      FuBackend* self,
      FuDevice* device
    )

#### Description [src]

Calls the ->registered() vfunc for the backend. This allows the backend to perform shared backend actions on superclassed devices.

Available since: 1.7.4

#### Parameters

`device`

  Type: `FuDevice`

  A device.

  The data is owned by the caller of the method.